/**
 * generated by Xtext 2.13.0
 */
package com.javadude.dsl5.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import com.javadude.dsl5.GothicSecurityDslRuntimeModule;
import com.javadude.dsl5.GothicSecurityDslStandaloneSetup;
import com.javadude.dsl5.ide.GothicSecurityDslIdeModule;
import org.eclipse.xtext.util.Modules2;

/**
 * Initialization support for running Xtext languages as language servers.
 */
@SuppressWarnings("all")
public class GothicSecurityDslIdeSetup extends GothicSecurityDslStandaloneSetup {
  @Override
  public Injector createInjector() {
    GothicSecurityDslRuntimeModule _gothicSecurityDslRuntimeModule = new GothicSecurityDslRuntimeModule();
    GothicSecurityDslIdeModule _gothicSecurityDslIdeModule = new GothicSecurityDslIdeModule();
    return Guice.createInjector(Modules2.mixin(_gothicSecurityDslRuntimeModule, _gothicSecurityDslIdeModule));
  }
}
